FieldPhraseList.WeightedPhraseInfo (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.vectorhighlight.FieldPhraseList.WeightedPhraseInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.vectorhighlight
Class FieldPhraseList.WeightedPhraseInfo

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.FieldPhraseList.WeightedPhraseInfo

Enclosing class:
  FieldPhraseList

    public static class FieldPhraseList.WeightedPhraseInfo

extends Object

Nested Class Summary
`static class` | `FieldPhraseList.WeightedPhraseInfo.Toffs`

Constructor Summary
`FieldPhraseList.WeightedPhraseInfo(LinkedList<FieldTermStack.TermInfo> terms, float boost)`
`FieldPhraseList.WeightedPhraseInfo(LinkedList<FieldTermStack.TermInfo> terms, float boost, int number)`

Method Summary
`int` | `getEndOffset()`
`int` | `getStartOffset()`
`boolean` | `isOffsetOverlap(FieldPhraseList.WeightedPhraseInfo other)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldPhraseList.WeightedPhraseInfo

    public FieldPhraseList.WeightedPhraseInfo(LinkedList<FieldTermStack.TermInfo> terms,
                                              float boost)

### FieldPhraseList.WeightedPhraseInfo

    public FieldPhraseList.WeightedPhraseInfo(LinkedList<FieldTermStack.TermInfo> terms,
                                              float boost,
                                              int number)

Method Detail

### getStartOffset

    public int getStartOffset()

### getEndOffset

    public int getEndOffset()

### isOffsetOverlap

    public boolean isOffsetOverlap(FieldPhraseList.WeightedPhraseInfo other)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD